Bug 1675947 - rubygem-rdoc: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: rubygem-rdoc: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-rdoc
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:54 UTC by Fedora Release Engineering
Modified: 2019-08-08 16:31 UTC (History)
3 users (show)

Fixed In Version: rubygem-rdoc-6.1.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:31:26 UTC
releng: needinfo? (mo)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:54 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:54 UTC, Fedora Release Engineering
no flags Details
state.log (641 bytes, text/plain)
2019-02-11 21:54 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:54:15 UTC
rubygem-rdoc failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32475043


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix rubygem-rdoc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-rdoc will be orphaned. Before branching of Fedora 31,
rubygem-rdoc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:54:17 UTC
Created attachment 1532832 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:54:18 UTC
Created attachment 1532833 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:54:19 UTC
Created attachment 1532834 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:32:30 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Vít Ondruch 2019-05-14 08:34:51 UTC
Fixed in Rawhide.

Comment 6 Fedora Release Engineering 2019-08-08 16:31:26 UTC
The following builds were made: rubygem-rdoc-6.1.1-1.fc31 rubygem-rdoc-6.1.1-2.fc31


Note You need to log in before you can comment on or make changes to this bug.